package cz.uhk.bp.locationrecorder.Services;


import android.annotation.SuppressLint;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;


import cz.uhk.bp.locationrecorder.GeoCoordinates;

public class LocationService {

    public interface LocationCallback {
        void onLocationChanged(GeoCoordinates geoCoordinates);
    }

    // location provider
    @SuppressLint("MissingPermission")
    public static void provideLocation(LocationManager locationManager, LocationCallback callback) {
        LocationListener locationListener = new LocationListener() {
            @Override
            public void onLocationChanged(Location location) {
                // create new geoCoordinates with updated coordinates
                GeoCoordinates geoCoordinates = new GeoCoordinates(
                        location.getLatitude(),
                        location.getLongitude(),
                        location.getAccuracy());


                // provides updated GeoCoordinates
                callback.onLocationChanged(geoCoordinates);
            }
        };

        // request location updates
        locationManager.requestLocationUpdates(LocationManager.GPS_PROVIDER, 1000, 0, locationListener);
    }


}


